View Issue Details

IDProjectCategoryView StatusLast Update
0005106MediaMonkey (current)Framework: Scripts/Extensionspublic2009-05-09 12:09
Reporterjiri 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1 
Target VersionFixed in Version3.1 
Summary0005106: Add some new scripting methods/interfaces.
DescriptionThere were several requests for misc new items in our COM objects.
Additional InformationRelated Forum Topics
http://www.mediamonkey.com/forum/viewtopic.php?f=2&t=36597
TagsNo tags attached.
Fixed in build1224

Activities

jiri

2008-12-30 16:13

administrator   ~0015869

OnTrackDeleting event added in 1206.

jiri

2008-12-30 23:06

administrator   ~0015886

SOUNDEX SQLite function added in build 1206.

jiri

2008-12-31 11:00

administrator   ~0015918

Added Common.FontXXX and Edit.SelXXX set of properties (see Wiki for complete documentation) in build 1207.

jiri

2009-01-02 22:39

administrator   ~0015962

Added SDBUIListBox and SDBUITreeList in build 1208.

jiri

2009-01-08 22:24

administrator   ~0016087

Added SDBUI::MainWindowFocus in build 1210.

jiri

2009-01-13 20:54

administrator   ~0016190

Added SDBScriptControl::Reload in build 1212.

jiri

2009-01-14 11:31

administrator   ~0016199

Added Selected and Focused properties for tracklist in build 1214.

Teknojunky

2009-01-15 18:37

updater   ~0016244

If you don't mind requests, An "OnTrackChange" or similar event for SDB.Applications would be very useful.

This would be fired when the SDB.Player.CurrentSong changes, independantly and before "OnPlay" fires, so that scripts can easily catch track changes regardless of playback state.

Another potentially useful event, might be "OnTrackEnd", this would be fired when a track ends normal playback (but not if user/script manually activates next/previous).

This would make it easier to determine if a track finished normal playback or if user skipped/rewind playback.

jiri

2009-01-19 13:17

administrator   ~0016290

Fixed some ListBox appearance issues in build 1216.

jiri

2009-01-20 10:57

administrator   ~0016301

Fixed a regression in event handling in build 1216.

jiri

2009-01-21 15:52

administrator   ~0016337

Last edited: 2009-01-21 17:36

From http://www.mediamonkey.com/forum/viewtopic.php?p=186831#p186831 added:
A2. New events OnDblClick, OnEnter, OnExit.
A4. New events OnShuffleClicked, OnRepeatClicked and OnNowPlayingModified.
A6. New events OnTrackListSelectionChanged and OnNowPlayingSelectionChanged.
B1. New OnIdle event.

in build 1217.

jiri

2009-01-21 22:51

administrator   ~0016342

Last edited: 2009-01-22 10:08

Added:
A9. New event OnTrackEnd.
B5. New events OnOptionsChange and OnFilterChange.
B7. New events OnTrackListFilling and OnTrackListFilled.

in build 1218.

jiri

2009-01-28 16:07

administrator   ~0016442

Added OnMouseXXX and OnKeyXXX events in build 1220.

jiri

2009-01-29 09:45

administrator   ~0016455

Added Equalizer related settings in build 1220.

peke

2009-01-31 15:43

developer   ~0016480

As noted here some events are not in correct order and some of them do not send all standard info for that event.

More Details here:
http://www.mediamonkey.com/forum/viewtopic.php?f=2&t=36597

peke

2009-01-31 15:46

developer   ~0016481

OnKeyPress Event Missing.

jiri

2009-02-02 11:03

administrator   ~0016485

Added OnKeyPress event in build 1221.

jiri

2009-02-04 16:28

administrator   ~0016506

Added new DropDown properties in build 1222.

peke

2009-02-06 18:23

developer   ~0016580

Regression: OnStop Event is not called when MM player comes to Stop on the end of playlist and Continuous is not enabled which result in complete player stop.

Related TicketID: PZY-276808

jiri

2009-02-08 11:12

administrator   ~0016593

Added OnPlaybackEnd event in build 1223.

jiri

2009-02-17 16:37

administrator   ~0016667

Fixed "OnPlaybackEnd" event in build 1224 (in case "Stop after current track" is used).

peke

2009-05-09 12:09

developer   ~0017774

Verified 1244